Loading...
Searching...
No Matches
Repository notifications

## Data Structures

struct | svn_repos_notify_t
| Structure used by svn_repos_notify_func_t. More...

## Typedefs

typedef enum svn_repos_notify_action_t | svn_repos_notify_action_t
| The type of action occurring.
typedef enum svn_repos_notify_warning_t | svn_repos_notify_warning_t
| The type of warning occurring.
typedef struct svn_repos_notify_t | svn_repos_notify_t
| Structure used by svn_repos_notify_func_t.
typedef void(* | svn_repos_notify_func_t) (void *baton, const svn_repos_notify_t *notify, apr_pool_t *scratch_pool)
| Callback for providing notification from the repository.
typedef svn_error_t *(* | svn_repos_dump_filter_func_t) (svn_boolean_t *include, svn_fs_root_t *root, const char *path, void *baton, apr_pool_t *scratch_pool)
| Callback for filtering repository contents during dump.

## Enumerations

enum

svn_repos_notify_action_t {
svn_repos_notify_warning = 0 ,
svn_repos_notify_dump_rev_end ,
svn_repos_notify_verify_rev_end ,
svn_repos_notify_dump_end ,
svn_repos_notify_verify_end ,
svn_repos_notify_pack_shard_start ,
svn_repos_notify_pack_shard_end ,
svn_repos_notify_pack_shard_start_revprop ,
svn_repos_notify_pack_shard_end_revprop ,
svn_repos_notify_load_txn_start ,
svn_repos_notify_load_txn_committed ,
svn_repos_notify_load_node_start ,
svn_repos_notify_load_node_done ,
svn_repos_notify_load_copied_node ,
svn_repos_notify_load_normalized_mergeinfo ,
svn_repos_notify_mutex_acquired ,
svn_repos_notify_recover_start ,
svn_repos_notify_upgrade_start ,
svn_repos_notify_load_skipped_rev ,
svn_repos_notify_verify_rev_structure ,
svn_repos_notify_pack_revprops ,
svn_repos_notify_cleanup_revprops ,
svn_repos_notify_format_bumped ,
svn_repos_notify_hotcopy_rev_range ,
svn_repos_notify_pack_noop ,
svn_repos_notify_load_revprop_set
}

| The type of action occurring. More...
enum | svn_repos_notify_warning_t { svn_repos_notify_warning_found_old_reference , svn_repos_notify_warning_found_old_mergeinfo , svn_repos_notify_warning_invalid_fspath , svn_repos_notify_warning_name_collision , svn_repos_notify_warning_mergeinfo_collision , svn_repos_notify_warning_invalid_mergeinfo }
| The type of warning occurring. More...

## Functions

svn_repos_notify_t * | svn_repos_notify_create (svn_repos_notify_action_t action, apr_pool_t *result_pool)
| Allocate an svn_repos_notify_t structure in result_pool, initialize and return it.

## Detailed Description

## Typedef Documentation

## svn_repos_dump_filter_func_t

typedef svn_error_t *(* svn_repos_dump_filter_func_t) (svn_boolean_t *include, svn_fs_root_t *root, const char *path, void *baton, apr_pool_t *scratch_pool)

Callback for filtering repository contents during dump.

Set *include to TRUE to indicate that node, identified by path path in root should be included in dump, or set it to `FALSE` to indicate that node should be excluded (presumably according to state stored in baton).

Do not assume scratch_pool has any lifetime beyond this call.

Since
  New in 1.10.

Definition at line 389 of file svn_repos.h.

## svn_repos_notify_action_t

typedef enum svn_repos_notify_action_t svn_repos_notify_action_t

The type of action occurring.

Since
  New in 1.7.

## svn_repos_notify_func_t

typedef void(* svn_repos_notify_func_t) (void *baton, const svn_repos_notify_t *notify, apr_pool_t *scratch_pool)

Callback for providing notification from the repository.

Returns `void`. Justification: success of an operation is not dependent upon successful notification of that operation.

Since
  New in 1.7.

Definition at line 374 of file svn_repos.h.

## svn_repos_notify_t

typedef struct svn_repos_notify_t svn_repos_notify_t

Structure used by svn_repos_notify_func_t.

The only field guaranteed to be populated is `action`. Other fields are dependent upon the `action`. (See individual fields for more information.)

Note
  Callers of notification functions should use svn_repos_notify_create() to create structures of this type to allow for future extensibility.

Since
  New in 1.7.

## svn_repos_notify_warning_t

typedef enum svn_repos_notify_warning_t svn_repos_notify_warning_t

The type of warning occurring.

Since
  New in 1.7.

## Enumeration Type Documentation

## svn_repos_notify_action_t

enum svn_repos_notify_action_t

The type of action occurring.

Since
  New in 1.7.

Enumerator
svn_repos_notify_warning | A warning message is waiting.
svn_repos_notify_dump_rev_end | A revision has finished being dumped.
svn_repos_notify_verify_rev_end | A revision has finished being verified.
svn_repos_notify_dump_end | All revisions have finished being dumped.
svn_repos_notify_verify_end | All revisions have finished being verified.
svn_repos_notify_pack_shard_start | packing of an FSFS shard has commenced
svn_repos_notify_pack_shard_end | packing of an FSFS shard is completed
svn_repos_notify_pack_shard_start_revprop | packing of the shard revprops has commenced
svn_repos_notify_pack_shard_end_revprop | packing of the shard revprops has completed
svn_repos_notify_load_txn_start | A revision has begun loading.
svn_repos_notify_load_txn_committed | A revision has finished loading.
svn_repos_notify_load_node_start | A node has begun loading.
svn_repos_notify_load_node_done | A node has finished loading.
svn_repos_notify_load_copied_node | A copied node has been encountered.
svn_repos_notify_load_normalized_mergeinfo | Mergeinfo has been normalized.
svn_repos_notify_mutex_acquired | The operation has acquired a mutex for the repo.
svn_repos_notify_recover_start | Recover has started.
svn_repos_notify_upgrade_start | Upgrade has started.

svn_repos_notify_load_skipped_rev

A revision was skipped during loading.

Since
  New in 1.8.

svn_repos_notify_verify_rev_structure

The structure of a revision is being verified.

Since
  New in 1.8.

svn_repos_notify_pack_revprops

A revprop shard got packed.

Since
  New in 1.9.

svn_repos_notify_cleanup_revprops

A non-packed revprop shard got removed.

Since
  New in 1.9.

svn_repos_notify_format_bumped

The repository format got bumped.

Since
  New in 1.9.

svn_repos_notify_hotcopy_rev_range

A revision range was copied.

Since
  New in 1.9.

svn_repos_notify_pack_noop

The repository pack did not do anything.

Since
  New in 1.10.

svn_repos_notify_load_revprop_set

The revision properties got set.

Since
  New in 1.10.

Definition at line 175 of file svn_repos.h.

## svn_repos_notify_warning_t

enum svn_repos_notify_warning_t

The type of warning occurring.

Since
  New in 1.7.

Enumerator
svn_repos_notify_warning_found_old_reference | Referencing copy source data from a revision earlier than the first revision dumped.
svn_repos_notify_warning_found_old_mergeinfo | An SVN_PROP_MERGEINFO property's encoded mergeinfo references a revision earlier than the first revision dumped.

svn_repos_notify_warning_invalid_fspath

Found an invalid path in the filesystem.

See also
  svn_fs.h:"Directory entry names and directory paths"

svn_repos_notify_warning_name_collision

Detected a name collision.

Reported when the names of two or more entries in the same directory differ only in character representation (normalization), but are otherwise identical.

Since
  New in 1.9.

svn_repos_notify_warning_mergeinfo_collision

Detected a mergeinfo path collision.

Reported when the paths in two or more entries in the same svn:mergeinfo property differ only in character representation (normalization), but are otherwise identical.

Since
  New in 1.9.

svn_repos_notify_warning_invalid_mergeinfo

Detected invalid mergeinfo.

Since
  New in 1.9.

Definition at line 260 of file svn_repos.h.

## Function Documentation

## svn_repos_notify_create()

svn_repos_notify_t * svn_repos_notify_create | ( | svn_repos_notify_action_t | action,
|  | apr_pool_t * | result_pool )

Allocate an svn_repos_notify_t structure in result_pool, initialize and return it.

Since
  New in 1.7.

References action.